# Visualization
TKV3d
Visual3d

# Visual3d_SetListOfSetOfClipPlane Class Reference

`#include <Visual3d_SetListOfSetOfClipPlane.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Visual3d_SetListOfSetOfClipPlane ()
Standard_EXPORT void | Assign (const Visual3d_SetListOfSetOfClipPlane &Other)
void | operator= (const Visual3d_SetListOfSetOfClipPlane &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~Visual3d_SetListOfSetOfClipPlane ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(Visual3d_ClipPlane)&I)
Standard_EXPORT void | Prepend (const Handle(Visual3d_ClipPlane)&I, Visual3d_ListIteratorOfSetListOfSetOfClipPlane &theIt)
Standard_EXPORT void | Prepend (Visual3d_SetListOfSetOfClipPlane &Other)
Standard_EXPORT void | Append (const Handle(Visual3d_ClipPlane)&I)
Standard_EXPORT void | Append (const Handle(Visual3d_ClipPlane)&I, Visual3d_ListIteratorOfSetListOfSetOfClipPlane &theIt)
Standard_EXPORT void | Append (Visual3d_SetListOfSetOfClipPlane &Other)
Standard_EXPORT Handle_Visual3d_ClipPlane & | First () const
Standard_EXPORT Handle_Visual3d_ClipPlane & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (Visual3d_ListIteratorOfSetListOfSetOfClipPlane &It)
Standard_EXPORT void | InsertBefore (const Handle(Visual3d_ClipPlane)&I, Visual3d_ListIteratorOfSetListOfSetOfClipPlane &It)
Standard_EXPORT void | InsertBefore (Visual3d_SetListOfSetOfClipPlane &Other, Visual3d_ListIteratorOfSetListOfSetOfClipPlane &It)
Standard_EXPORT void | InsertAfter (const Handle(Visual3d_ClipPlane)&I, Visual3d_ListIteratorOfSetListOfSetOfClipPlane &It)
Standard_EXPORT void | InsertAfter (Visual3d_SetListOfSetOfClipPlane &Other, Visual3d_ListIteratorOfSetListOfSetOfClipPlane &It)

## Private Member Functions

Standard_EXPORT | Visual3d_SetListOfSetOfClipPlane (const Visual3d_SetListOfSetOfClipPlane &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_SetListOfSetOfClipPlane::Visual3d_SetListOfSetOfClipPlane | ( |  | ) |

Visual3d_SetListOfSetOfClipPlane::~Visual3d_SetListOfSetOfClipPlane | ( |  | ) | `[inline]`

Standard_EXPORT Visual3d_SetListOfSetOfClipPlane::Visual3d_SetListOfSetOfClipPlane | ( | const Visual3d_SetListOfSetOfClipPlane & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::Append | ( | Visual3d_SetListOfSetOfClipPlane & | Other | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::Append | ( | const Handle(Visual3d_ClipPlane)& | I,
|  | Visual3d_ListIteratorOfSetListOfSetOfClipPlane & | theIt
| ) |

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::Append | ( | const Handle(Visual3d_ClipPlane)& | I | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::Assign | ( | const Visual3d_SetListOfSetOfClipPlane & | Other | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer Visual3d_SetListOfSetOfClipPlane::Extent | ( |  | ) | const

Standard_EXPORT Handle_Visual3d_ClipPlane& Visual3d_SetListOfSetOfClipPlane::First | ( |  | ) | const

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::InsertAfter | ( | Visual3d_SetListOfSetOfClipPlane & | Other,
|  | Visual3d_ListIteratorOfSetListOfSetOfClipPlane & | It
| ) |

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::InsertAfter | ( | const Handle(Visual3d_ClipPlane)& | I,
|  | Visual3d_ListIteratorOfSetListOfSetOfClipPlane & | It
| ) |

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::InsertBefore | ( | Visual3d_SetListOfSetOfClipPlane & | Other,
|  | Visual3d_ListIteratorOfSetListOfSetOfClipPlane & | It
| ) |

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::InsertBefore | ( | const Handle(Visual3d_ClipPlane)& | I,
|  | Visual3d_ListIteratorOfSetListOfSetOfClipPlane & | It
| ) |

Standard_Boolean Visual3d_SetListOfSetOfClipPlane::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_Visual3d_ClipPlane& Visual3d_SetListOfSetOfClipPlane::Last | ( |  | ) | const

void Visual3d_SetListOfSetOfClipPlane::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Visual3d_SetListOfSetOfClipPlane::operator new | ( | size_t | size | ) | `[inline]`

void* Visual3d_SetListOfSetOfClipPlane::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Visual3d_SetListOfSetOfClipPlane::operator= | ( | const Visual3d_SetListOfSetOfClipPlane & | Other | ) | `[inline]`

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::Prepend | ( | Visual3d_SetListOfSetOfClipPlane & | Other | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::Prepend | ( | const Handle(Visual3d_ClipPlane)& | I,
|  | Visual3d_ListIteratorOfSetListOfSetOfClipPlane & | theIt
| ) |

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::Prepend | ( | const Handle(Visual3d_ClipPlane)& | I | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::Remove | ( | Visual3d_ListIteratorOfSetListOfSetOfClipPlane & | It | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfClipPlane::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address Visual3d_SetListOfSetOfClipPlane::myFirst `[private]`

Standard_Address Visual3d_SetListOfSetOfClipPlane::myLast `[private]`

The documentation for this class was generated from the following file:

- Visual3d_SetListOfSetOfClipPlane.hxx